Imports System.IO
Imports System.Data
Imports MySql.Data
Imports MySql.Data.MySqlClient

Partial Class content
    Inherits System.Web.UI.Page
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

        If Page.IsPostBack = False Then

            HiddenPageName.Value = Request.QueryString("PageName")

            ' Find data for content
            Try
                Dim ConnString As String = ConfigurationManager.ConnectionStrings("ConnectionString").ToString()
                Dim sql As String = "SELECT * FROM contentTbl WHERE PageName = @PageName"

                ' The Using block is used to call dispose (close) automatically even if there are an exception.
                Using cn As New MySqlConnection(ConnString), _
                      cmd As New MySqlCommand(sql, cn)
                    cmd.Parameters.Add("@PageName", MySqlDbType.VarChar, 100).Value = HiddenPageName.Value

                    cn.Open()
                    ' The Using block is used to call dispose (close) automatically even if there are an exception.
                    Using reader As MySqlDataReader = cmd.ExecuteReader(CommandBehavior.SingleRow)
                        While reader.Read()
                            HeadLiteral.Text = reader("Name").ToString()
                            DescriptionLiteral.Text = reader("Description").ToString()
                            ltTitle.Text = reader("MetaTitle").ToString()
                            ltDescription.Text = "<meta name=""description"" content=""" & reader("MetaDescription").ToString() & """/>"
                            ltKeywords.Text = "<meta name=""keywords"" content=""" & reader("MetaKeywords").ToString() & """/>"
                            ltRobots.Text = "<meta name=""robots"" content=""index, follow""/>"
                            ltCanonical.Text = "<link rel=""canonical"" href=""" & "http://www.mypage.com/article/" & HiddenPageName.Value & ".aspx" & """/>"
                            DateUpdatedLiteral.Text = "Uppdated: " & String.Format("{0:yyyy/MM/dd}", reader("DateUpdated"))
                        End While
                    End Using

                End Using
            Catch ex As Exception
                Response.Write(ex.Message)
            End Try
        End If

    End Sub
End Class
