using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using MySql.Data;
using MySql.Data.MySqlClient;

public partial class Meta_in_literals : System.Web.UI.Page
{
    protected void Page_Load(object sender, System.EventArgs e)
    {
        // Code is excuted if the page load not is a post back.
        if (!Page.IsPostBack)
        {
            // Request the query string for page name.
            if (Request.QueryString["PageName"] != null)
                HiddenPageName.Value = Request.QueryString["PageName"];


            // Declare strings for a connection string and a SELECT statement.
            string ConnString = ConfigurationManager.ConnectionStrings["ConnectionString"].ToString();
            string sql = "SELECT * FROM contentTbl WHERE PageName = @PageName";

            // Create a MySqlConnection. The using block is used to call dispose (close) automatically even 
            // if there are an exception.
            using (MySqlConnection cn = new MySqlConnection(ConnString))
            {
                // Create a MySqlCommand.
                MySqlCommand cmd = new MySqlCommand(sql, cn);

                // Create a MySqlDataReader
                MySqlDataReader reader = null;

                // Add parameters
                cmd.Parameters.AddWithValue("@PageName", HiddenPageName.Value);

                try
                {
                    // Open the connection
                    cn.Open();

                    // Execute the SELECT statement.  
                    reader = cmd.ExecuteReader(CommandBehavior.SingleRow);

                    // Set meta tags in Literal controls.
                    while (reader.Read())
                    {
                        HeadLiteral.Text = reader["Name"].ToString();
                        DescriptionLiteral.Text = reader["Description"].ToString();
                        ltTitle.Text = reader["MetaTitle"].ToString();
                        ltDescription.Text = "<meta name=\"description\" content=\"" + reader["MetaDescription"].ToString() + "\"/>";
                        ltKeywords.Text = "<meta name=\"keywords\" content=\"" + reader["MetaKeywords"].ToString() + "\"/>";
                        ltRobots.Text = "<meta name=\"robots\" content=\"index, follow\"/>";
                        ltCanonical.Text = "<link rel=\"canonical\" href=\"" + "http://www.mypage.com/article/" + HiddenPageName.Value + ".aspx" + "\"/>";
                        DateUpdatedLiteral.Text = "Uppdated: " + string.Format("{0:yyyy/MM/dd}", reader["DateUpdated"]);
                    }
                }
                catch (Exception ex)
                {
                    // Catch a general exception
                    Response.Write(ex.Message);
                }
                finally
                {
                    // Dispose MySqlCommand
                    cmd.Dispose();

                    // Close the MySqlDataReader if it not is null.
                    if (reader != null)
                        reader.Close();
                }
            }
        }
    }
}
